Subject: bug#64970: 30.0.50; Stipple broken with PGTK

From: [email-masked]
Date: Mon, 31 Jul 2023 14:39:53 +0200

Eli Zaretskii <[email-masked]> writes:

> merge 64970 64969
> thanks
>
>> From: [email-masked]
>> Date: Mon, 31 Jul 2023 11:10:38 +0200
>> 
>> The code
>> 
>> (let* ((w (window-font-width))
>>       (stipple `(,w 1 ,(apply #'unibyte-string
>> 			       (append (make-list (1- (/ (+ w 7)
>> 			       8)) ?\0)
>> 				       '(1))))))
>>  (insert "\n" (propertize (concat  (make-string 15 ?\s)
>> 				    "THIS IS A TEST"
>> 				    (make-string 15 ?\s))
>>                           'face `(:background "red" :foreground
>>                           "blue" :stipple ,stipple))))
>> 
>> doesn't have the expected result, i.e. the text is not blue on 
>> red 
>> background.
>> 
>> More information leading to this report can be found at 
>> https://github.com/jdtsmith/indent-bars/issues/3
>
> This is an exact duplicate of bug#64969 that you submitted an 
> hour
> before this one.  I'm merging them.

Yes, indeed it is. Thanks for merging them.

It took over an hour to receive an acknowledgement on the first 
one so I thought something was wrong and I sent a second email. 
Shortly after that I received acknowledgements for both reports 
¯\_(ツ)_/¯.

/M

-- 
Magnus Therning                   OpenPGP: 0x927912051716CE39
email: [email-masked]
@[email-masked]       http://magnus.therning.org/

"Rome wasn't burned in a day."